StringMonitorMBean (Java Platform SE 8 )
Keywords: javax.management.monitor.StringMonitorMBean interface
Date: 2026-03-29

compact3
javax.management.monitor

## Interface StringMonitorMBean

- All Superinterfaces:
    MonitorMBean
  All Known Implementing Classes:
    StringMonitor

      public interface StringMonitorMBean
      extends MonitorMBean

  Exposes the remote management interface of the string monitor MBean.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDerivedGauge()` Deprecated. As of JMX 1.2, replaced by `getDerivedGauge(ObjectName)`
    `String` | `getDerivedGauge(ObjectName object)` Gets the derived gauge for the specified MBean.
    `long` | `getDerivedGaugeTimeStamp()` Deprecated. As of JMX 1.2, replaced by `getDerivedGaugeTimeStamp(ObjectName)`
    `long` | `getDerivedGaugeTimeStamp(ObjectName object)` Gets the derived gauge timestamp for the specified MBean.
    `boolean` | `getNotifyDiffer()` Gets the differing notification's on/off switch value.
    `boolean` | `getNotifyMatch()` Gets the matching notification's on/off switch value.
    `String` | `getStringToCompare()` Gets the string to compare with the observed attribute.
    `void` | `setNotifyDiffer(boolean value)` Sets the differing notification's on/off switch value.
    `void` | `setNotifyMatch(boolean value)` Sets the matching notification's on/off switch value.
    `void` | `setStringToCompare(String value)` Sets the string to compare with the observed attribute.

    - ### Methods inherited from interface javax.management.monitor.MonitorMBean

      `addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, start, stop`

- - ### Method Detail

    - #### getDerivedGauge

          @Deprecated
          String getDerivedGauge()

      Deprecated. As of JMX 1.2, replaced by `getDerivedGauge(ObjectName)`
      Gets the derived gauge.
      Returns:
        The derived gauge.

    - #### getDerivedGaugeTimeStamp

          @Deprecated
          long getDerivedGaugeTimeStamp()

      Deprecated. As of JMX 1.2, replaced by `getDerivedGaugeTimeStamp(ObjectName)`
      Gets the derived gauge timestamp.
      Returns:
        The derived gauge timestamp.

    - #### getDerivedGauge

          String getDerivedGauge(ObjectName object)

      Gets the derived gauge for the specified MBean.
      Parameters:
        `object` - the MBean for which the derived gauge is to be returned
      Returns:
        The derived gauge for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.

    - #### getDerivedGaugeTimeStamp

          long getDerivedGaugeTimeStamp(ObjectName object)

      Gets the derived gauge timestamp for the specified MBean.
      Parameters:
        `object` - the MBean for which the derived gauge timestamp is to be returned
      Returns:
        The derived gauge timestamp for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.

    - #### getStringToCompare

          String getStringToCompare()

      Gets the string to compare with the observed attribute.
      Returns:
        The string value.
      See Also:
        `setStringToCompare(java.lang.String)`

    - #### setStringToCompare

          void setStringToCompare(String value)
                           throws IllegalArgumentException

      Sets the string to compare with the observed attribute.
      Parameters:
        `value` - The string value.
      Throws:
        `IllegalArgumentException` - The specified string to compare is null.
      See Also:
        `getStringToCompare()`

    - #### getNotifyMatch

          boolean getNotifyMatch()

      Gets the matching notification's on/off switch value.
      Returns:
        `true` if the string monitor notifies when matching, `false` otherwise.
      See Also:
        `setNotifyMatch(boolean)`

    - #### setNotifyMatch

          void setNotifyMatch(boolean value)

      Sets the matching notification's on/off switch value.
      Parameters:
        `value` - The matching notification's on/off switch value.
      See Also:
        `getNotifyMatch()`

    - #### getNotifyDiffer

          boolean getNotifyDiffer()

      Gets the differing notification's on/off switch value.
      Returns:
        `true` if the string monitor notifies when differing, `false` otherwise.
      See Also:
        `setNotifyDiffer(boolean)`

    - #### setNotifyDiffer

          void setNotifyDiffer(boolean value)

      Sets the differing notification's on/off switch value.
      Parameters:
        `value` - The differing notification's on/off switch value.
      See Also:
        `getNotifyDiffer()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.